Get user
Get information about a user.
Authorization
auth ApiKey AuthorizationBearer <token>
JWT Authorization header using the Bearer scheme. Example: "Authorization: Bearer {token}"
In: header
X-API-KEY<token>
Internal API key for admin endpoints. Example: "X-API-KEY: {key}"
In: header
Path Parameters
id*string
The ID of the user.
Format
uuidResponse Body
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/api/v1/users/497f6eca-6276-4993-bfeb-53cbbbba6f08"{ "isSuccess": true, "error": {}, "errorDetails": "string", "message": "string", "data": { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "name": "string", "email": "string", "type": "string", "status": "string", "tenantAdminRole": "string", "license": "string", "isTenantOwner": true, "organizationRoles": [ { "organizationId": "7bc05553-4b68-44e8-b7bc-37be63c6d9e9", "organization": "string", "roleName": "string" } ], "groups": [ { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "name": "string" } ] }, "resultInfo": { "page": 0, "perPage": 0, "totalCount": 0, "totalPages": 0, "hasPreviousPage": true, "hasNextPage": true }}